org.apache.maven.scm

## Class ScmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.scm.ScmException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NoSuchCommandScmException, NoSuchScmProviderException, ScmRepositoryException

      public class ScmException
      extends Exception

  Version:
    $Id: ScmException.java 685539 2008-08-13 13:27:27Z vsiveton $
  Author:
    Emmanuel Venisse
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScmException(String message)`
    `ScmException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScmException

          public ScmException(String message)

      Parameters:
        `message` - the message could be null

    - #### ScmException

          public ScmException(String message,
                      Throwable cause)

      Parameters:
        `message` - the message could be null
        `cause` - the cause could be null

Copyright © 2003–2015. All rights reserved.